### Type parameters

- #### D

### Hierarchy

- AttributeExprFilterDef<D>
- BaseDataFilter<D>
  - AttributeExprFilter

## Index

### Properties

- attribute
- op
- value

### Methods

- filter

## Properties

### attribute

attribute: string

Inherited from AttributeExprFilterDef.attribute

### op

op: AttributeOperator

Inherited from AttributeExprFilterDef.op

### value

value: any

Inherited from AttributeExprFilterDef.value

## Methods

### filter

- filter(item: D, index?: number, array?: D[]): boolean

- Inherited from BaseDataFilter.filter

  #### Parameters

  - ##### item: D

  - ##### Optional index: number

  - ##### Optional array: D[]

  #### Returns boolean

Generated using TypeDoc